#ifndef Y_TAB_H
# define Y_TAB_H

typedef union {
    char		*identifier;
    char		*file_identifier;
    char		*help_identifier;
    char		*data_file;
    ParameterList	*parameter_list;
    Expression		*expression;
} YYSTYPE;
# define	INT_LITERAL	257
# define	DOUBLE_LITERAL	258
# define	IDENTIFIER	259
# define	FILE_IDENTIFIER	260
# define	HELP_IDENTIFIER	261
# define	DATA_FILE	262
# define	DEFINE	263
# define	FOR	264
# define	IF	265
# define	ELSE	266
# define	WHILE	267
# define	LP	268
# define	RP	269
# define	LC	270
# define	RC	271
# define	LB	272
# define	RB	273
# define	SEMICOLON	274
# define	COMMA	275
# define	ASSIGN	276
# define	EQ	277
# define	NE	278
# define	GT	279
# define	GE	280
# define	LT	281
# define	LE	282
# define	ADD	283
# define	SUB	284
# define	MUL	285
# define	DIV	286
# define	MOD	287
# define	EXIT	288
# define	SIN	289
# define	COS	290
# define	LOG	291
# define	LOGTEN	292
# define	EXP	293
# define	FABS	294
# define	TAN	295
# define	ATAN	296
# define	ACOS	297
# define	ASIN	298
# define	COSH	299
# define	SINH	300
# define	TANH	301
# define	SQRT	302
# define	UP	303
# define	DOWN	304
# define	NEAR	305
# define	RETURN1	306
# define	SOLVE	307
# define	SFILE	308
# define	INTERVAL	309
# define	SEPARATOR	310
# define	ONES	311
# define	ZEROS	312
# define	EYE	313
# define	RAND	314
# define	INV	315
# define	EXACTSOLVE	316
# define	NORM	317
# define	PRINT	318
# define	SAVE	319
# define	WHO	320
# define	EIG	321
# define	TRANSPOSE	322
# define	PIRIOD	323
# define	HELP_INIT	324
# define	QR	325
# define	LU	326
# define	SCHUR	327
# define	CHOL	328
# define	SVD	329
# define	LINSPACE	330
# define	PLOT	331
# define	PLOT2	332
# define	PLOT3	333
# define	POW	334
# define	OR	335
# define	AND	336
# define	DO	337
# define	LINPRO	338
# define	LREAD	339
# define	FFT	340
# define	IFFT	341
# define	VSIN	342
# define	VCOS	343
# define	VTAN	344
# define	VLOG	345
# define	VEXP	346
# define	DIF	347
# define	NAME	348
# define	EVAL	349
# define	SPLIT	350
# define	SIZE	351
# define	CON	352
# define	REAL	353
# define	IMAG	354
# define	MAX	355
# define	TIC	356
# define	TOC	357
# define	UPPER	358
# define	LOWER	359
# define	VEIG	360
# define	TRI	361
# define	GETBITS	362


extern YYSTYPE yylval;

#endif /* not Y_TAB_H */
